# Packmangroup: Multimedia
# Packmanpackagename: faac
# Packman: Manfred Tremmel


%define major     0
%define lib       libfaac
%define libname   %{lib}%{major}

Name:           faac
Version:        1.28
Release:        7.1
License:        Free to use but restricted
Summary:        Frontend for encoding MPEG2/4 AAC
Summary(de):    Frontend zum Encodieren von MPEG2/4 AAC
Url:            http://www.audiocoding.com/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        faac-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         faac_configure_in.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libmp4v2-devel
# Here only because of the configure mp4v2 detection
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
Requires:       %{libname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.

%description -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.

%package -n %{libname}
Summary:        Shared library part of faac
Summary(de):    Bibliotheken zu faac
Group:          System/Libraries
Provides:       %{lib} = %{version}

%description -n %{libname}
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Shared library part of faac

%description -n %{libname} -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Bibliotheken zu faac

%package -n %{lib}-devel
Summary:        Header files and static library for the faac library
Summary(de):    Header Dateien und statische Bibliotheken für die faac Bibliothek
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Provides:       %{libname}-devel = %{version}
Provides:       faac-devel = %{version}

%description -n %{lib}-devel
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Header files and static library for the faac library

%description -n %{lib}-devel -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Header Dateien und statische Bibliotheken für die faac Bibliothek

%prep
%setup -qn faac-%{version}
%patch0

%build
autoreconf -vif
export LDFLAGS="-lmp4v2"
%configure --with-mp4v2 --enable-shared --disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/faac.1%{ext_man}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Tue Jan 24 2012 reddwarf@opensuse.org
- run spec-cleaner
- add autoconf, automake and libtool BuildRequires.
* Fri Mar  4 2011 reddwarf@opensuse.org
- Remove bogus faad build/runtime dependencies
- Remove bogus mp4v2 and C++ devel dependencies
- Remove .la files
* Wed Mar  3 2010 Manfred.Tremmel@iiv.de
- added baselibs file
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Feb 10 2009 Manfred.Tremmel@iiv.de
- version 1.28
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- version 1.26
* Sun Mar  2 2008 Manfred.Tremmel@iiv.de
- splittetd into separate packages
* Mon Oct  2 2006 Manfred.Tremmel@iiv.de
- enabled mp4 support
* Mon Aug 14 2006 Manfred.Tremmel@iiv.de
- version 1.25
* Sun Apr  9 2006 Manfred.Tremmel@iiv.de
- rebuild with separate libmp4v2 (no longer part of faad2)
* Fri Jan  7 2005 rainer@links2linux.de
- first version for faac
